# Interface methods for submodule: DerivativeImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DerivativeImageFilter
class DerivativeImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetOrder(self, _arg: int) -> None:
		""""""
		...

	def GetOrder(self) -> int:
		""""""
		...

	def SetDirection(self, _arg: int) -> None:
		""""""
		...

	def GetDirection(self) -> int:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def SetUseImageSpacingOn(self) -> None:
		""""""
		...

	def SetUseImageSpacingOff(self) -> None:
		""""""
		...

	def GenerateInputRequestedRegion(self) -> None:
		""""""
		...

